@font-face {
  font-family: 'Gladolia DEMO';
  src: url('links/GladoliaDEMO-Regular.otf') format('opentype');
}

@media (max-width: 1200px) {
  .sunny {
    margin-left: 600px !important;
  }
}

@media (max-width: 900px) {
  .sunny {
    display: none;
  }

  .footer {
    margin: 0 !important;
    padding: 40px 0  !important;
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .footer p {
    text-align: center !important;
  }
}

@media (max-width: 600px) {
  .banner {
    padding-left: 30px !important;
    padding-right: 30px !important;
  }

  .sunny {
    display: none;
  }
}

.hamburger {
  width: 30px;
  cursor: pointer;
  display: none;
  flex-direction: column;
  gap: 6px;
  z-index: 101;
  padding: 20px;
  margin: 20px;
}

.hamburger span {
  display: block;
  height: 4px;
  width: 100%;
  background: #d82028;
  border-radius: 2px;
  transition: 0.3s;
  z-index: 102;
}
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(8px, 8px);
}
.hamburger.active span:nth-child(2) {
  opacity: 0;
}
.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}
.hamburger.active {
  position: fixed;
  padding: 20px;
  margin-right: 15px;
  z-index: 200;
}

@media (max-width: 900px) {
  .hamburger { 
    display: flex; 
    padding: 8px;
    margin: 8px;
    top: 20px;
    right: 10px;
    z-index: 102;
  }
  
  .nav-links {
    overflow: hidden !important;
    text-align: center;
    flex-direction: column;
    justify-content: flex-start;
    background: #fff1c9;
    position: fixed;
    padding-top: 100px !important;
    gap: 20px !important;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 100;
    transform: translateX(100%);
    transition: left 0.3s ease, transform 0.3s ease, opacity 0.3s ease;
    pointer-events: none;
  }

  .nav-links li {
    margin: 0 !important;
    padding: 0 !important;
    line-height: 0 !important;
  }

  .nav-links li a {
    font-size: 20px !important;
  }
}

body {
  overflow-x: hidden;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
  padding: 20px;
}

.logo {
  display: block;
  max-width: 100%;
  height: auto;
}

nav {
  display: flex;
  align-items: center;
}

.nav-links {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  gap: 20px;
}

.nav-links li a {
  text-decoration: none;
  color: #000;
  font-family: Arial, sans-serif;
  font-size: 16px;
}

.nav-links.active {
  transform: translateX(0);
  opacity: 1;
  pointer-events: auto;
}

.nav-links a {
  padding: 20px 20px;
  display: inline-block;
}

ul li a {
  text-decoration: none;
  color: #000000;
}

ul li a:hover {
  color: #d82028;
}

ul {
  display: flex;
  list-style: none;
  justify-content: flex-end;
  margin: 0;
  padding: 0;
}

ul li {
  margin-left: 20px; /* space between items */
  font-family: 'Arial', sans-serif;
  font-size: 16px;
  font-weight: regular;
}

nav a.active {
  color: #d82028;
}

/*
.order-intro h2 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 35px;
  margin: 50px 0 10px 0; 
  text-align: center;
}

.order-intro p {
  font-family: 'Arial', sans-serif;
  font-size: 16px;
  margin: 0 0 10px 0;
  text-align: center;
}

form {
  max-width: 600px;
  margin: 40px auto;
  padding: 24px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

form input, form select, form textarea {
  font-family: Arial, sans-serif;
  font-size: 16px;
  padding: 8px;
  box-sizing: border-box;
  border-radius: 10px;
}

label {
  font-weight: bold;
  margin-bottom: 4px;
}

input, select, button {
  padding: 8px;
  border-radius: 8px;
  border: 1px solid #ccc;
  font-size: 16px;
}

button {
  background-color: #d82028;
  color: #ffffff;
  border: 1px solid #ffffff;
  padding: 10px 20px;
  border-radius: 10px;
  width: 200px;
  display: block;
  margin: 0 auto;
}

button:hover {
  background-color: #ffffff;
  color: #d82028;
  border: 1px solid #d82028;
  border-radius: 10px;
}
*/

.form-container {
  display: flex;
  justify-content: center;
}

.banner {
  background-color: #d82028;
  margin-top: 40px;
  padding: 40px 0 40px 80px;
  color: #ffffff;
}

.banner h1 {
  margin: 0;
  font-family: 'Gladolia DEMO', serif;
  font-size: 50px;
  font-weight: normal;
}

.banner p {
  margin-top: 5px;
  font-family: 'Arial', sans-serif;
  font-size: 25px;
}

.banner button {
  background-color: #d82028;
  color: #ffffff;
  font-size: 16px;
  border: 1px solid #ffffff;
  padding: 10px 20px;
  border-radius: 5px;
  margin: 20px 10px 0 0;
}

.banner button:hover {
  background: #ffffff;
  color: #d82028;
}

.sunny {
  position: absolute;
  margin: 80px 0 0 750px;
}

.footer {
  margin-top: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #fff1c9;
  color: #000000;
  padding: 40px 80px 40px 80px;
}

.copyright a {
  text-decoration: none;
  color: #000000;
}

.footer p {
  font-family: 'Arial', sans-serif;
  font-size: 12px;
  margin: 0;
  text-align: right;
}

.social-media {
  display: flex;
  gap: 8px;
}

.social-media img {
  margin: 0;
  padding: 0;
}

.social-media img:hover {
  transform: scale(1.1);
}